Search Gradle plugins

com.palantir.jacoco-coverage

The com.palantir.jacoco-coverage plugin allows Gradle build scripts to configure minimum Java Code Coverage thresholds for projects, packages, classes, and files. The com.palantir.jacoco-full-report plugin adds a task that produces a Jacoco report for the combined code coverage of the tests of all subprojects of the current project.

https://github.com/palantir/gradle-jacoco-coverage

Version 0.4.0 (latest)

Created 07 June 2016.

The com.palantir.jacoco-coverage plugin allows Gradle build scripts to configure minimum Java Code Coverage thresholds for projects, packages, classes, and files.

Using the plugins DSL:

plugins {
  id "com.palantir.jacoco-coverage" version "0.4.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "gradle.plugin.com.palantir:jacoco-coverage:0.4.0"
  }
}

apply plugin: "com.palantir.jacoco-coverage"

Using the plugins DSL:

plugins {
  id("com.palantir.jacoco-coverage") version "0.4.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("gradle.plugin.com.palantir:jacoco-coverage:0.4.0")
  }
}

apply(plugin = "com.palantir.jacoco-coverage")

Learn how to apply plugins to subprojects